GET /orders

Get order status by reference ---- [auth scope: api-user]

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
referenceanyRequired

The order reference received on payment order creation

Example: ORDER12345
Responses
201Success
application/json
merchantReferencestringRequired

The merchant reference

statusstringRequired

The status of the order transaction

amountnumberRequired

The total order amount

surchargenumberRequired

The fee charged to the payer

currencystringRequired

The currency used for the order transaction

providerstringRequired

The APM provider processing the order transaction

updatedAtstringRequired

The last time an update was made to the order transaction

failureReasonstringRequired

The Failure reason for the error transactions

bnplOrderIdstringRequired

The APM OrderId for the transactions

transactionReferencestringRequired

The unique transaction reference

rejectReasonstringRequired

The Reject reason for the error transactions

partnerConfigurationobjectRequired

The partner configucation

cancelledBystringRequired

The order is cancelled by user, merchant or system

captureStatusstringRequired

The capture status of an authorized order

get
/orders/{reference}

Last updated